/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <android-base/logging.h>
#include <android/binder_process.h>

#include "MediaTranscodingService.h"

using namespace android;

int main(int argc __unused, char** argv) {
    LOG(INFO) << "media transcoding service starting";

    strcpy(argv[0], "media.transcoding");
    android::MediaTranscodingService::instantiate();

    ABinderProcess_startThreadPool();
    ABinderProcess_joinThreadPool();
}
